# Copyright (C) 2015, 2016, 2017 Cumulus Networks, Inc. All rights reserved
#
# This software is subject to the Cumulus Networks End User License Agreement available
# at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from restapi import settings
from restapi.middleware import debug
from restapi.urls import setup_routes
from restapi.utils.logs import get_logger
import falcon

_LOG = get_logger()

middleware = [debug.LogRequestResponse()] if settings.DEBUG else []

# Create the API instance, referenced internally as api and externally
# as wsgi_app.
api = falcon.API(
    media_type='application/json',
    middleware=middleware
)

setup_routes(api)
_LOG.info('API service started')

