#!/bin/bash

# Copyright (C) 2015, 2016, 2017 Cumulus Networks, Inc. All rights reserved
#
# This software is subject to the Cumulus Networks End User License Agreement available
# at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

# The package's firstboot and postinst scripts runs this script.  Manually run this
# script for chassis hardware if the link local management IP addresses change.

# This script should only be run on chassis hardware.
chassis=$(/usr/lib/cumulus/chassis-info -n > /dev/null 2>&1) || exit 1

# Write all IPv6 link local management addresses to a file.  The
# Nginx configuration for chassis hardware will include this file.

ll_ips=/etc/ipv6_link_local_ips
rm -f $ll_ips
echo "# This file has been automatically generated for inclusion by /etc/nginx-restapi-chassis.conf." >> $ll_ips

for IP in $(/usr/lib/cumulus/chassis-info -c | awk '{print $1}') ; do
    echo "allow $IP;" >> $ll_ips
done

