# Copyright (C) 2015, 2016, 2017 Cumulus Networks, Inc. All rights reserved
#
# This software is subject to the Cumulus Networks End User License Agreement available
# at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from restapi.apps.evo.utils import execute_command

_BRIDGE = '/bin/bridge'
_BRCTL = '/sbin/brctl'


class BridgeFdbShow(object):

    def on_get(self, _, resp, devName):
        """
        Command:
        bridge fdb show dev {dev}

        URI (GET):
        bridge/fdb/{dev}

        Response Body:
        Output of execute_command

        Response status code:
        200: Success
        """
        options = ''
        cmd = '{BIN} {options} fdb show {dev}'.format(BIN=_BRIDGE,
                                                      options=options,
                                                      dev=devName)
        execute_command(cmd, resp)


class BridgeCtlShow(object):

    def on_get(self, _, resp, bridgeName):
        """
        Command:
        brctl show {bridge}

        URI (GET):
        bridge/fdb/{portname}

        Response Body:
        Output of execute_command

        Response status code:
        200: Success
        """
        options = ''
        cmd = '{BIN} {options} show {bridge}'.format(BIN=_BRCTL,
                                                     options=options,
                                                     bridge=bridgeName)
        execute_command(cmd, resp)
