# Copyright (C) 2015, 2016, 2017 Cumulus Networks, Inc. All rights reserved
#
# This software is subject to the Cumulus Networks End User License Agreement available
# at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from restapi.utils import swagger
from restapi.utils.urls import patterns, url
import os


version = 'v1'

urlpatterns = patterns(
    'restapi.evo',

    # Bridge
    url('bridge/fdb/{dev}', 'bridge.BridgeFdbShow', 'bridgeFdbShow'),
    url('bridge/{bridge}', 'bridge.BridgeCtlShow', 'bridgeFdbCtl'),

    # Intf
    url('intf/lacp/{groupName}', 'intf.LacpCommand', 'lacp'),
    url('intf/link', 'intf.IpLink', 'ipLink'),
    url('intf/link/{dev}', 'intf.IpLink', 'ipLinkDev'),
    url('intf/state', 'intf.IfCommand', 'ifState'),
    url('intf/state/{dev}', 'intf.IfCommand', 'ifStateDev'),

    # Services
    url('service/quagga', 'system.Quagga', 'quagga'),
    url('service/quagga/vtysh', 'system.QuaggaVtysh', 'quaggaVtysh'),
    url('service/monit', 'system.MonCtl', 'monCtl'),

    # System
    url('system/env/onieversion', 'system.FwPrintEnv', 'onieVersion'),
    url('system/env/eeprom', 'system.DecodeSysEeprom', 'eEprom'),
    url('system/img', 'system.CLImg', 'clImg'),
)
