# Copyright (C) 2015, 2016, 2017 Cumulus Networks, Inc. All rights reserved
#
# This software is subject to the Cumulus Networks End User License Agreement available
# at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from restapi import settings
import falcon
import json


class WrongURL(object):

    def process_response(self, req, resp, resource=''):
        """ Intercept main 404 response by Falcon
        If the API hits a non existing endpoint, it will trigger a customized
        404 response that will redirect people to the documentation.
        :returns: JSON: A customized JSON response
        :raises: HTTP 404: A falcon.HTTP_404 error
        """
        if resp.status == falcon.HTTP_404:
            resp.body = json.dumps({
                "message": "Not found",
                "documentation": settings.__docs__
            })
