# Copyright (C) 2015, 2016, 2017 Cumulus Networks, Inc. All rights reserved
#
# This software is subject to the Cumulus Networks End User License Agreement available
# at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from oslo.config import cfg
from restapi import settings
import logging
import logging.config


_DEFAULT_LOGGER = 'restapi'


def setup_logging():
    """
    Sets up the logging options for a log.
    """
    log_config = settings.LOG_CONFIG
    log_config['loggers'][_DEFAULT_LOGGER]['level'] = cfg.CONF.LOGGING.loglevel
    if cfg.CONF.LOGGING.logpath == 'syslog':
        log_config['loggers'][_DEFAULT_LOGGER]['handlers'] = ['syslog']
    else:
        log_config['loggers'][_DEFAULT_LOGGER]['handlers'] = ['logfile']
        log_config['handlers']['logfile']['filename'] = (
            cfg.CONF.LOGGING.logpath
        )
    logging.config.dictConfig(log_config)


def get_logger():
    return logging.getLogger(_DEFAULT_LOGGER)
